Ruby: pm_parameters_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_parameters_node Struct Reference

ParametersNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node_list | requireds
| ParametersNode#requireds.
struct pm_node_list | optionals
| ParametersNode#optionals.
struct pm_node * | rest
| ParametersNode#rest.
struct pm_node_list | posts
| ParametersNode#posts.
struct pm_node_list | keywords
| ParametersNode#keywords.
struct pm_node * | keyword_rest
| ParametersNode#keyword_rest.
struct pm_block_parameter_node * | block
| ParametersNode#block.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ParametersNode.

Type: PM_PARAMETERS_NODE

Definition at line 3699 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_parameters_node::base

The embedded base node.

Definition at line 3701 of file ast.h.

## ◆ block

struct pm_block_parameter_node* pm_parameters_node::block

ParametersNode#block.

Definition at line 3722 of file ast.h.

Referenced by pm_node_destroy().

## ◆ keyword_rest

struct pm_node* pm_parameters_node::keyword_rest

ParametersNode#keyword_rest.

Definition at line 3719 of file ast.h.

Referenced by pm_node_destroy().

## ◆ keywords

struct pm_node_list pm_parameters_node::keywords

ParametersNode#keywords.

Definition at line 3716 of file ast.h.

Referenced by pm_node_destroy().

## ◆ optionals

struct pm_node_list pm_parameters_node::optionals

ParametersNode#optionals.

Definition at line 3707 of file ast.h.

Referenced by pm_node_destroy().

## ◆ posts

struct pm_node_list pm_parameters_node::posts

ParametersNode#posts.

Definition at line 3713 of file ast.h.

Referenced by pm_node_destroy().

## ◆ requireds

struct pm_node_list pm_parameters_node::requireds

ParametersNode#requireds.

Definition at line 3704 of file ast.h.

Referenced by pm_node_destroy().

## ◆ rest

struct pm_node* pm_parameters_node::rest

ParametersNode#rest.

Definition at line 3710 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h